<?php
ini_set('display_errors', 'on');

$installerDir = sprintf('%s/installer', dirname(dirname(__DIR__)));
require_once sprintf('%s/vendor/autoload.php', $installerDir);
require_once sprintf('%s/helpers.php', $installerDir);

if (!function_exists('env'))
{
    // Define a dummy env() function that always returns the default value so we can load the config/app.php file
    // to get the current version number
    function env($key, $default = null)
    {
        return $default;
    }
}

try
{
    $installer = new \AppInstaller\Installer();
    $installer->handleRequest();
}
catch (\Exception $ex)
{
    echo sprintf('ERROR: %s', $ex);
}